local gc = Var("GameCommand");
local string_name = gc:GetText();
local string_expl = THEME:GetString("StyleType", gc:GetStyle():GetStyleType());
local t = Def.ActorFrame {};

t[#t+1] = LoadActor(THEME:GetPathG("_style", "beat7 versus")) .. {
		OffCommand=cmd(sleep,0.1;smooth,0.2;zoom,0.8;diffusealpha,0;);
	};

	t[#t+1] = Def.ActorFrame {
		OffCommand=cmd(linear,0.1;diffusealpha,0;);	
		LoadFont("SelectStyleItem style")..{
			Text=string.upper(string_name);
			InitCommand=cmd(y,-230;x,-210;maxwidth,512;zoom,1.25;horizalign,left);
			GainFocusCommand=cmd(linear,0.2;diffuse,color("#00E2F9"););
			LoseFocusCommand=cmd(linear,0.2;diffuse,Color.White);
		};
		LoadFont("SelectStyleItem style")..{
			Text=string.upper(string_expl);
			InitCommand=cmd(y,-180;x,-210;maxwidth,512;zoom,0.5;horizalign,left);
			GainFocusCommand=cmd(linear,0.2;diffuse,color("#00E2F9"););
			LoseFocusCommand=cmd(linear,0.2;diffuse,Color.White);			
		};
		 LoadActor(THEME:GetPathG("_style", "active")) .. {
			GainFocusCommand=cmd(linear,0.2;diffusealpha,0.6;);
			LoseFocusCommand=cmd(linear,0.2;diffusealpha,0;);			
		};
	};	
	
return t